Bug 113760 - undefined operation
undefined operation
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 06:38 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 02:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-17 06:38:58 EST
Description of problem:

I just tried to compile package eog-2.4.0-1, from Redhat
Fedora Core 1.

The compiler said

eog-collection-item.c:292: warning: operation on `i' may be undefined

The source code is

                        i = i--;

Suggest better code

                        --i;



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Aillon 2004-08-26 02:26:26 EDT
Fixed upstream
http://cvs.gnome.org/viewcvs/eog/libeog/eog-collection-item.c?r1=1.1&r2=1.2

Note You need to log in before you can comment on or make changes to this bug.